@echo off

rem ********************************************************************************
rem *
rem * MakeDisk-ADS-RAID.BAT
rem *
rem * This file creates a ServerGuide Scripting Toolkit ADS Raid configuration
rem * diskette.
rem *
rem * This batch file is called by the user.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Call the msiadspt.bat file to set the ADS_PATH variable is set.
rem ********************************************************************************
call msiadspt.bat

rem ********************************************************************************
rem * Write the Virtual Disk Image To The Floppy Disk.
rem ********************************************************************************

call "%ADS_PATH%\bin\dskimage.exe" "%ADS_PATH%\tftproot\tk_raid.vfd" A:

if not ERRORLEVEL 0 goto ERROR1

rem ********************************************************************************
rem * Copy the unzip utility to the floppy disk
rem ********************************************************************************

if not exist ..\..\osutils\infozip\unzip.exe goto ERROR3

copy ..\..\osutils\infozip\unzip.exe A:\dos\unzip.exe

rem ********************************************************************************
rem * Write the floppy disk back to the virtual floppy disk.
rem ********************************************************************************

call "%ADS_PATH%\bin\dskimage.exe" A: "%ADS_PATH%\tftproot\tk_raid.vfd"

if not ERRORLEVEL 0 goto ERROR2
goto SUCCESS

:ERROR1
echo.
echo An error occurred when writing the virtual disk image to
echo the floppy disk. Make sure that the disk is in the drive
echo and it is not write protected. Also check that the path
echo to the virtual floppy disk is correct:
echo .
echo %ADS_PATH%\tftproot\

goto END


:ERROR2
echo.
echo An error occurred when writing the virtual disk image to
echo the ADS server. Make sure that the disk is in the drive
echo and that you have permissions to write to the location
echo of the ADS virtual floppy disks:
echo .
echo %ADS_PATH%\tftproot\

goto END

:ERROR2
echo.
echo An error occurred when copying the unzip utility to the
echo floppy diskette.
echo Please make sure that unzip.exe is located in the following
echo directory:
echo .
echo ..\sgdeploy\osutils\infozip\
echo .
echo The Infozip unzip utility can be downloaded online from:
echo http://www.info-zip.org/UnZip.html#DOS
echo .
goto END


:SUCCESS
echo Virtual Disk Modifications Complete.


:END
pause

